Pod::Spec.new do |s|
  s.name             = 'WebIdMetaPlugin'
  s.version          = '14.0.0-SNAPSHOT'
  s.summary          = 'The WebID Meta plugin for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdMetaPlugin/14.0.0/WebIdMetaPlugin.framework-v14.0.0-SNAPSHOT-1220.zip', :sha256 => '2697821538adefade0013fef01cb6e80c30131cbcb4ec32b2d28f6a4c1c7b70e' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdMetaPlugin.xcframework'

  s.dependency "WebIdVideoIdentProductPlugin", "14.0.0-SNAPSHOT" #branch:snapshots
  s.dependency "WebIdVideoIdentPlugin", "11.0.0"
  s.dependency "WebIdDigitalSigningPlugin", "12.0.0-beta"
  s.dependency "WebIdIosIdentScanPlugin", "13.0.0-beta"
  s.dependency "WebIdOnServerDocumentScanner", "13.0.0-beta"
end
